var constant = require('const.js');
const HOST_PRODUCT = constant.productApi;
const HOST_BASE = constant.baseApi;
let request = require('WXHttpRequest.js');
const httputil = require('httpUtill.js');

function getProductUrl(action) {
	return HOST_PRODUCT + action;
}

function getBaseUrl(action) {
	return HOST_BASE + action;
}
module.exports = {
	//获取推荐首页信息
	getIndex(uid) {
		let url = getProductUrl('wx/index');
		return request.getInstance().header({
			uid
		}).url(url).send();
	},
	// 获取首页人气推荐
	getHotRecommend(uid, pageNo, pageSize) {
		let url = getBaseUrl('wx/userRead/recommend');
		console.log(url);
		return request.getInstance().header({
			uid
		}).data({
			pageNo,
			pageSize,
		}).url(url).send();
	},
	// 获取用户朗读详细信息
	getWorksDetail(uid, readId) {
		let url = getBaseUrl(`wx/userRead/info/${readId}`);
		return request.getInstance().header({
			uid
		}).url(url).send();
	}
}